Package org.pushingpixels.substance.internal.ui

# Class SubstanceLabelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.LabelUI
javax.swing.plaf.basic.BasicLabelUI
org.pushingpixels.substance.internal.ui.SubstanceLabelUI

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

public class SubstanceLabelUI extends BasicLabelUI
UI for labels in Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PropertyChangeListener`
`substancePropertyChangeListener`
Property change listener.

### Fields inherited from class javax.swing.plaf.basic.BasicLabelUI

`labelUI`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceLabelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installListeners(JLabel c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`uninstallListeners(JLabel c)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicLabelUI

`getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installUI, layoutCL, paintDisabledText, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyChangeListener

protected PropertyChangeListener substancePropertyChangeListener
Property change listener.

## Constructor Details

### SubstanceLabelUI

public SubstanceLabelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installListeners

protected void installListeners(JLabel c)

Overrides:
  `installListeners` in class `BasicLabelUI`

### uninstallListeners

protected void uninstallListeners(JLabel c)

Overrides:
  `uninstallListeners` in class `BasicLabelUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `BasicLabelUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`